\ProvidesPackage{hrftex}[2020/04/19 Henry Ruben Fischer's common template for lecture notes and excercises.]

% package options
\DeclareOption*{\PassOptionsToPackage{\CurrentOption}{hrfmath}}
\ProcessOptions\relax

% this should probably (hopefully) be the same for all use cases
\RequirePackage[utf8]{inputenc}
\RequirePackage[T1]{fontenc}
\RequirePackage{lmodern}

% tools for command definition and co
\RequirePackage{etoolbox}
\RequirePackage{suffix}
\RequirePackage{pgfkeys}
\RequirePackage{pgfopts}

% compatibility hacks for hyperref and float
\RequirePackage{scrhack}
\PassOptionsToPackage{headsepline}{scrlayer-scrpage}
\RequirePackage{scrlayer-scrpage}

% add index 
\RequirePackage{imakeidx}

% ordinals, numbers, etc.
\RequirePackage{fmtcount}

% aliases for counters
\RequirePackage{aliascnt}

% better enumeration
\PassOptionsToPackage{inline}{enumitem}
\RequirePackage{enumitem}
\newcommand{\rechtsklammer}[1]{#1)} % for avoiding warnings about single parantheses

% for referencing \item[***]
\RequirePackage{crossreftools}


% for including graphics
\RequirePackage{graphicx}
\graphicspath{{figures/}}

% for boxes
\RequirePackage{fancybox}


% better tables
\RequirePackage{booktabs}

% better floats
\RequirePackage{float}

% subcaptions
\RequirePackage{subcaption}

% colors with legible names, will be loaded by tikz
\PassOptionsToPackage{dvipsnames}{xcolor}

% Should be passed if ntheorem is loaded
\PassOptionsToPackage{hyperref}{ntheorem}

% ngerman for Neue Rechtschreibung
\PassOptionsToPackage{math=normal,ngerman,english}{babel}
\RequirePackage{babel}

\RequirePackage{hrfmath}

% nice roman numerals
\RequirePackage{romanbar}

% for links
\RequirePackage{varioref}
\PassOptionsToPackage{pdfpagelayout=OneColumn, linktoc=all, pdfencoding=auto, pdfusetitle, pdfstartview=FitH, hidelinks=true}{hyperref}
\RequirePackage{hyperref}
\RequirePackage{cleveref}

% for cross-document references
\RequirePackage{xr}
% so that spaces work
\def\XR@[#1]#2{{%
  \makeatletter
  \def\XR@prefix{#1}%
  \XR@next"#2.aux"\relax\\}} %added quotes

  
\RequirePackage{silence} % possibility to ignore warnings

% bibliography
% \RequirePackage{biblatex}

% needs cleveref to be loaded
% \RequirePackage{hrfgerman}

% time and date
\RequirePackage[useregional]{datetime2}


% headings (if no other option seems right...)
\newif\ifnostyle
\newif\ifnopar
\newif\ifnoskip
\pgfkeys{/heading/.cd,
    nostyle/.is if=nostyle,
    nopar/.is if=nopar,
    noskip/.is if=noskip}
\newcommand{\heading}[2][]{
    \pgfkeys{
        /heading/.cd,
        nostyle=false,
        nopar=false,
        noskip=false,
        #1
    }
    \par\noindent{\ifnostyle\else \bfseries \fi #2 \ifnopar \else \par \fi \ifnoskip \else \hspace{1em}\fi}
}


% For commenting out
\newcommand{\ignore}[1]{}
\newcommand{\hide}[1]{}

% horizontal rule
\newcommand\hr{
    \noindent\rule[0.5ex]{\linewidth}{0.5pt}
}

\ifcsname endofdump\endcsname%
\else%
 \let\endofdump\relax%
\fi%
